Export and query the details of a skill memory node
Exports and queries a specified skill memory node, including its name, description, and tags.
Method and endpoint
GET https://dashscope.aliyuncs.com/api/v2/apps/memory/skill/export/{memory_node_id}
Request parameters
| Parameter | Type | Required | Location | Description |
|---|---|---|---|---|
memory_node_id | string | Yes | Path | Skill memory node ID |
Response
| Field | Type | Description |
|---|---|---|
request_id | string | Request ID |
memory_node | object | Skill memory node details |
memory_node.memory_node_id | string | Memory node ID |
memory_node.content | string | Skill execution workflow |
memory_node.timestamp | integer | Message timestamp |
memory_node.created_at | integer | Creation time |
memory_node.updated_at | integer | Update time |
memory_node.media_desc | string | Multimodal content description |
memory_node.meta_data | object | Custom metadata |
memory_node.memory_type | string | Memory type |
memory_node.status | string | Memory status |
memory_node.project_id | string | Project ID |
memory_node.media_urls | array | Multimodal resource URLs |
memory_node.multimodal_medias | array | Multimodal resources. Returned when present |
memory_node.skill_name | string | Skill name |
memory_node.skill_description | string | Skill description |
memory_node.skill_tags | array[string] | Skill tags |
Request example
cURL